from django.conf.urls.defaults import patterns, include, url
from django.conf import settings
#import soundfield.views
import tour.views

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # for 256b project
    url(r'^tour/mediapair$',tour.views.mediapair),
    url(r'^tour/mediapair/audio_search$','tour.views.audio_search'),
    url(r'^tour/mediapair/image_search$','tour.views.image_search'),
    url(r'^tour/mediapair/random$','tour.views.mediapair',{'randy':True}),
    url(r'^tour/mediapair/(?P<path>.*)$','django.views.static.serve',
      {'document_root':settings.MEDIA_ROOT}),
    url(r'^tour/mediapair$',tour.views.mediapair),

    # for intermedia tour
    url(r'^tour/media$',tour.views.media),
    url(r'^tour/media/(?P<path>.*)$','django.views.static.serve',
      {'document_root':settings.MEDIA_ROOT}),


    # for 256b project
   # url(r'^soundfield/sounds$',soundfield.views.sounds),
   # url(r'^soundfield/sound_z$',soundfield.views.sound_z),
   # url(r'^soundfield/sound$',soundfield.views.sound),
   # url(r'^soundfield/sound/(?P<sf_id>\d+)$',soundfield.views.sounds),
   # url(r'^soundfield/sounds/(?P<path>.*)$','django.views.static.serve',
   #   {'document_root':settings.MEDIA_ROOT}),

    # Examples:
    # url(r'^$', 'brick.views.home', name='home'),
    # url(r'^brick/', include('brick.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
)
